org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FromCompletionStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FromCompletionStageVerification

    public class FromCompletionStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `FromCompletionStageVerification.PublisherVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fromCsStageShouldBeReusable()`
`void` `fromCsStageShouldEmitAnElementWhenAlreadyRedeemed()`
`void` `fromCsStageShouldEmitAnElementWhenRedeemedLater()`
`void` `fromCsStageShouldFailWhenAlreadyRedeemedWithNull()`
`void` `fromCsStageShouldFailWhenRedeemedWithNullLater()`
`void` `fromCsStageShouldPropagateAlreadyRedeemedExceptions()`
`void` `fromCsStageShouldPropagateExceptionsWhenFailedLater()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### fromCsStageShouldEmitAnElementWhenAlreadyRedeemed

    public void fromCsStageShouldEmitAnElementWhenAlreadyRedeemed()

#### fromCsStageShouldEmitAnElementWhenRedeemedLater

    public void fromCsStageShouldEmitAnElementWhenRedeemedLater()
                                                         throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### fromCsStageShouldFailWhenAlreadyRedeemedWithNull

    public void fromCsStageShouldFailWhenAlreadyRedeemedWithNull()

#### fromCsStageShouldFailWhenRedeemedWithNullLater

    public void fromCsStageShouldFailWhenRedeemedWithNullLater()
                                                        throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### fromCsStageShouldPropagateAlreadyRedeemedExceptions

    public void fromCsStageShouldPropagateAlreadyRedeemedExceptions()

#### fromCsStageShouldPropagateExceptionsWhenFailedLater

    public void fromCsStageShouldPropagateExceptionsWhenFailedLater()
                                                             throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### fromCsStageShouldBeReusable

    public void fromCsStageShouldBeReusable()